<?php
     $itodo_redux_demo = get_option('redux_demo');
     get_header(); 
?>
<!-- CONTENT START -->
<div class="page-content">
    <!-- INNER PAGE BANNER -->
    <div class="full-landing-image sx-bnr-inr overlay-wraper  bg-top-center" style="background-image:url(<?php echo esc_url($itodo_redux_demo['background_blog']['url']); ?>);">
        <div class="overlay-main bg-white opacity-0"></div>
        
        <div class="container">
            <div class="sx-bnr-inr-entry">
                <div class="banner-title-outer">
                    <div class="banner-title-name">
                        <span class="sx-bnr-sm-title"><?php if(isset($itodo_redux_demo['blog_subtitle'])){?>
                            <?php echo wp_specialchars_decode(esc_attr($itodo_redux_demo['blog_subtitle']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'We are Dedicated', 'itodo' );
                            }
                            ?></span>
                        <h2 class="sx-title">
                            <?php
                                if ( is_day() ) :
                                    printf( esc_html__( 'Daily Archives : %s', 'itodo' ), get_the_date() );
                                elseif ( is_month() ) :
                                    printf( esc_html__( 'Monthly Archives: %s', 'itodo' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'itodo' ) ) );
                                elseif ( is_year() ) :
                                    printf( esc_html__( 'Yearly Archives: %s', 'itodo' ), get_the_date( _x( 'Y', 'yearly archives date format', 'itodo' ) ) );
                                else :
                                    echo esc_html__( 'Archives', 'itodo' );
                                endif;
                            ?>
                        </h2>
                    </div>
                    <!-- BREADCRUMB ROW -->                            
                    <div>
                        <ul class="sx-breadcrumb breadcrumb-style-2">
                            <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php if(isset($itodo_redux_demo['blog_home_text'])){?>
                            <?php echo htmlspecialchars_decode(esc_attr($itodo_redux_demo['blog_home_text']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Home', 'itodo' );
                            }
                            ?></a></li>
                            <li><?php echo esc_html__( 'Archives', 'itodo' );?></li>
                        </ul>
                    </div>
                    <!-- BREADCRUMB ROW END -->                     
                </div>                                      
            </div>
        </div> 
        <div class="sx-bnr-outline-text">
            <h1><?php if(isset($itodo_redux_demo['blog_masking'])){?>
            <?php echo wp_specialchars_decode(esc_attr($itodo_redux_demo['blog_masking']));?>
            <?php }else{?>
            <?php echo esc_html__( 'It Solution', 'itodo' );
            }
            ?></h1>
        </div> 
    </div>
    <!-- INNER PAGE BANNER END -->    
    <!-- SECTION CONTENT START -->
    <div class="section-full p-t100 p-b0 mobile-page-padding">
        <div class="container">
            <div class="row">
                <div class="col-xl-8 col-lg-8 col-md-12">
                    <?php while (have_posts()): the_post(); ?>
                    <div class="sx-latest-post-st-1 m-b50">                        
                        <?php if ( has_post_thumbnail() ) { ?>
                        <div class="sx-post-media sx-img-effect img-reflection">
                            <a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Image"></a>
                        </div>  
                        <?php } ?>                        
                        <div class="sx-post-info p-t30">
                            <div class="sx-post-meta ">
                                <ul>
                                    <li class="post-date"><i class="fa fa-calendar"></i><?php the_time(get_option('date_format')); ?></li>
                                    <li class="post-author"><i class="fa fa-comments"></i><?php comments_number( esc_html__('0 Comments' , 'itodo') , esc_html__('1 Comment' , 'itodo' ), esc_html__('% Comments' , 'itodo')); ?></li>
                                </ul>
                            </div>                             
                            <div class="sx-post-title ">
                                <h4 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                <div class="sx-post-text">
                                    <?php if(isset($itodo_redux_demo['blog_excerpt'])){?>
                                    <?php echo esc_attr(itodo_excerpt($itodo_redux_demo['blog_excerpt'])); ?>
                                    <?php }else{?>
                                    <?php echo esc_attr(itodo_excerpt(40)); 
                                    }
                                    ?>
                                </div>
                            </div>                            
                            <div class="sx-post-readmore">
                                 <a href="<?php the_permalink(); ?>" title="READ MORE" rel="bookmark" class="site-button icon"><i class="fa  fa-long-arrow-right"></i>
                                    <?php if(isset($itodo_redux_demo['read_more'])){?>
                                    <?php echo wp_specialchars_decode(esc_attr($itodo_redux_demo['read_more']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Read More ', 'itodo' );
                                    }
                                    ?></a>
                            </div>
                        </div>                       
                    </div>
                    <?php endwhile; ?>
                </div>
                <!-- SIDE BAR START -->
                <div class="col-xl-4 col-lg-4 col-md-12 sticky_column">        
                    <div  class="side-bar sx-bg-white">
                            <?php get_sidebar();?>
                    </div>
                </div>
                <!-- SIDE BAR END -->                        
            </div>  
        </div>
    </div>
    <!-- SECTION CONTENT END -->
    <!-- OUR CLIENTS SECTION START -->
    <div  class="section-full p-t110 p-b80 sx-client-logo-1-outer sx-bg-white" >
        <div class="container">

            <div class="section-content">
                <div class="client-grid m-b30">
                
                    <div class="row justify-content-center">
                        <?php if(isset($itodo_redux_demo['client_logo_1']['url']) && $itodo_redux_demo['client_logo_1']['url'] != ''){?>
                        <div class="col-lg-3 col-md-4 col-sm-6 col-6">
                            <a href="<?php echo esc_attr($itodo_redux_demo['link_to_1']); ?>" class="client-logo-pic">
                            <img src="<?php echo esc_url($itodo_redux_demo['client_logo_1']['url']); ?>" alt="">
                              <div>
                                <span class="sx-circle-btn"><i class="fa fa-long-arrow-right"></i></span>
                              </div>                                      
                            </a>
                        </div>
                        <?php } ?>
                        <?php if(isset($itodo_redux_demo['client_logo_2']['url']) && $itodo_redux_demo['client_logo_2']['url'] != ''){?>
                        <div class="col-lg-3 col-md-4 col-sm-6 col-6">
                            <a href="<?php echo esc_url($itodo_redux_demo['link_to_2']); ?>" class="client-logo-pic">
                            <img src="<?php echo esc_url($itodo_redux_demo['client_logo_2']['url']); ?>" alt="">
                              <div>
                                <span class="sx-circle-btn"><i class="fa fa-long-arrow-right"></i></span>
                              </div>                                      
                            </a>
                        </div>
                        <?php } ?>
                        <?php if(isset($itodo_redux_demo['client_logo_3']['url']) && $itodo_redux_demo['client_logo_3']['url'] != ''){?>
                        <div class="col-lg-3 col-md-4 col-sm-6 col-6">
                            <a href="<?php echo esc_url($itodo_redux_demo['link_to_3']); ?>" class="client-logo-pic">
                            <img src="<?php echo esc_url($itodo_redux_demo['client_logo_3']['url']); ?>" alt="">
                              <div>
                                <span class="sx-circle-btn"><i class="fa fa-long-arrow-right"></i></span>
                              </div>                                      
                            </a>
                        </div>
                        <?php } ?>
                        <?php if(isset($itodo_redux_demo['client_logo_4']['url']) && $itodo_redux_demo['client_logo_4']['url'] != ''){?>
                        <div class="col-lg-3 col-md-4 col-sm-6 col-6">
                            <a href="<?php echo esc_url($itodo_redux_demo['link_to_4']); ?>" class="client-logo-pic">
                            <img src="<?php echo esc_url($itodo_redux_demo['client_logo_4']['url']); ?>" alt="">
                              <div>
                                <span class="sx-circle-btn"><i class="fa fa-long-arrow-right"></i></span>
                              </div>                                      
                            </a>
                        </div>
                        <?php } ?>
                        <?php if(isset($itodo_redux_demo['client_logo_5']['url']) && $itodo_redux_demo['client_logo_5']['url'] != ''){?>
                        <div class="col-lg-3 col-md-4 col-sm-6 col-6">
                            <a href="<?php echo esc_url($itodo_redux_demo['link_to_5']); ?>" class="client-logo-pic">
                            <img src="<?php echo esc_url($itodo_redux_demo['client_logo_5']['url']); ?>" alt="">
                              <div>
                                <span class="sx-circle-btn"><i class="fa fa-long-arrow-right"></i></span>
                              </div>                                      
                            </a>
                        </div>
                        <?php } ?>
                        <?php if(isset($itodo_redux_demo['client_logo_6']['url']) && $itodo_redux_demo['client_logo_6']['url'] != ''){?>
                        <div class="col-lg-3 col-md-4 col-sm-6 col-6">
                            <a href="<?php echo esc_url($itodo_redux_demo['link_to_6']); ?>" class="client-logo-pic">
                            <img src="<?php echo esc_url($itodo_redux_demo['client_logo_6']['url']); ?>" alt="">
                              <div>
                                <span class="sx-circle-btn"><i class="fa fa-long-arrow-right"></i></span>
                              </div>                                      
                            </a>
                        </div>
                        <?php } ?>
                        <?php if(isset($itodo_redux_demo['client_logo_7']['url']) && $itodo_redux_demo['client_logo_7']['url'] != ''){?>
                        <div class="col-lg-3 col-md-4 col-sm-6 col-6">
                            <a href="<?php echo esc_url($itodo_redux_demo['link_to_7']); ?>" class="client-logo-pic">
                            <img src="<?php echo esc_url($itodo_redux_demo['client_logo_7']['url']); ?>" alt="">
                              <div>
                                <span class="sx-circle-btn"><i class="fa fa-long-arrow-right"></i></span>
                              </div>                                      
                            </a>
                        </div>
                        <?php } ?>
                        <?php if(isset($itodo_redux_demo['client_logo_8']['url']) && $itodo_redux_demo['client_logo_8']['url'] != ''){?>
                        <div class="col-lg-3 col-md-4 col-sm-6 col-6">
                            <a href="<?php echo esc_url($itodo_redux_demo['link_to_8']); ?>" class="client-logo-pic">
                            <img src="<?php echo esc_url($itodo_redux_demo['client_logo_8']['url']); ?>" alt="">
                              <div>
                                <span class="sx-circle-btn"><i class="fa fa-long-arrow-right"></i></span>
                              </div>                                      
                            </a>
                        </div>
                        <?php } ?>
                    </div>                                                                           
                </div>
            </div>
         </div>
       
    </div>   
    <!-- OUR CLIENTS SECTION END -->

</div> 
<!-- CONTENT END -->
<?php
    get_footer();
?>