<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>

    <h2 class="comments-title m-b30"><?php comments_number( esc_html__('0 Comments', 'itodo'), esc_html__('1 Comment', 'itodo'), esc_html__('% Comments', 'itodo') ); ?></h2>
    <!-- COMMENT LIST START -->
    <ol class="comment-list">
        <?php wp_list_comments('callback=itodo_theme_comment'); ?>
    </ol>
    <!-- COMMENT LIST END -->
    <?php
        if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
    ?>
    <div class="pagination_area">
         <nav>
              <ul class="pagination">
                  <li> <?php paginate_comments_links( 
                  array(
                  'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'itodo' ),ENT_QUOTES),
                  'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'itodo' ),ENT_QUOTES),
                  ));  ?>
                  </li>
              </ul>
         </nav>
    </div>
    <?php endif; ?>
    <!-- END PAGINATION --> 
    <?php endif; ?>   
    <div class="m-t30" id="respond">   
    <?php
      if ( is_singular() ) wp_enqueue_script( "comment-reply" );
          $aria_req = ( $req ? " aria-required='true'" : '' );
          $comment_args = array(
            'id_form' => 'commentform',        
            'class_form' => 'comment-form row',                         
            'title_reply'=> esc_html__( 'Leave a comment', 'itodo' ),
            'fields' => apply_filters( 'comment_form_default_fields', array(
                'author' =>   ' <p class="comment-form-author col-lg-6 col-md-6">
                                  <input type="text" name="author" id="name" placeholder="'.esc_attr__('Name', 'itodo').'">
                                </p>',

                'email' =>    ' <p class="comment-form-email col-lg-6 col-md-6">
                                  <input id="email" placeholder="'.esc_attr__('Email Address', 'itodo').'" name="email" type="email">
                                </p>',

                'phone' =>    ' <p class="comment-form-url col-lg-12 col-md-12">
                                  <input  placeholder="'.esc_attr__('Phone', 'itodo').'" name="phone" type="text">
                                </p>',

            ) ),   
            'comment_field' => '<p class="comment-form-comment col-lg-12 col-md-12">
                                  <textarea id="comment" name="comment" '.$aria_req.' placeholder="'.esc_attr__('Write a comment...', 'itodo').'" required="required" data-error="Please,leave us a message."></textarea>
                                </p>',                
            'label_submit' => esc_html__( 'Post a comment', 'gentex' ),
            'submit_button' =>  '<button class="site-button sx-btn-primary icon sx-btn-lg" type="submit" %3$s name="%1$s" id="submit %2$s" >%4$s',
            'submit_field' =>   '<p class="form-submit">
                                    %1$s %2$s
                                </p>',
            'comment_notes_before' => '',
            'comment_notes_after' => '',                
          )
    ?>
    
    <?php if ( comments_open() ) : ?>
      <?php comment_form($comment_args); ?>
    <?php endif; ?> 
    </div>