<!doctype html>
<html class="no-js" lang="zxx">
<?php $itodo_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php if(isset($itodo_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($itodo_redux_demo['favicon']['url']); ?>">
    <?php }?>
    
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" <?php body_class(); ?>>
        <div class="loading-area">
            <div class="loading-box"></div>
            <div class="loading-pic">
                <div class="loading">
                    <h2>
                        <?php if(isset($itodo_redux_demo['footer_logo']['url']) && $itodo_redux_demo['footer_logo']['url'] != ''){ ?>
                        <img src="<?php echo esc_url($itodo_redux_demo['footer_logo']['url']); ?>" alt="">
                        <?php } else { ?>
                        <img src="<?php echo get_template_directory_uri();?>/images/footer-logo.png" alt="">
                        <?php } ?>
                    </h2>
                    <span></span>
                    <span></span>
                    <span></span>
                    <span></span>
                    <span></span>
                    <span></span>
                    <span></span>
                  </div>
            </div>
        </div>
        <!-- LOADING AREA  END ====== -->
        <div class="page-wraper">           
            <!-- HEADER START -->
            <header class="header-style1 site-header  mobile-sider-drawer-menu">
                <div class="top-bar">
                    <div class="container">
                        <div class="d-flex justify-content-between  align-content-center">
                            <div class="sx-topbar-left">
                                <ul class="e-p-bx">
                                    <?php if(isset($itodo_redux_demo['email']) && $itodo_redux_demo['email'] != ''){ ?>
                                    <li><?php echo wp_kses_post($itodo_redux_demo['email']); ?></li>
                                    <?php } ?>
                                    <?php if(isset($itodo_redux_demo['phone']) && $itodo_redux_demo['phone'] != ''){ ?>
                                    <li><a href="tel:<?php echo wp_kses_post($itodo_redux_demo['phone']); ?>"><?php echo wp_kses_post($itodo_redux_demo['phone']); ?> <?php echo wp_kses_post($itodo_redux_demo['call']); ?></a></li>
                                    <?php } ?>
                                </ul>
                            </div>
                            <div class="sx-topbar-right">
                                <div class="top-bar-nav">
                                    <?php 
                                        wp_nav_menu( 
                                        array( 
                                            'theme_location' => 'top_header_menu',
                                            'container' => '',
                                            'menu_class' => '', 
                                            'menu_id' => '',
                                            'menu'            => '',
                                            'container_class' => '',
                                            'container_id'    => '',
                                            'echo'            => true,
                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                            'walker'            => new itodo_wp_bootstrap_navwalker(),
                                            'before'          => '',
                                            'after'           => '',
                                            'link_before'     => '',
                                            'link_after'      => '',
                                            'items_wrap'      => '<ul  class=" %2$s">%3$s</ul>',
                                            'depth'           => 0,        
                                        )
                                    ); ?>
                                </div>

                                <div class="sx-language-dd dropdown">
                                    <div class="sl-nav-1">
                                        <div class="sx-language-first sx-title" id="FR"><b>FR</b></div>
                                        <button class="sl-nav-1-btn dropdown-toggle" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                                            En
                                        </button>
                                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                            <li>
                                                <div class="sl-flag">
                                                    <div class="c-name">
                                                        <img src="<?php echo get_template_directory_uri();?>/images/flag/germany.png" alt="alt">
                                                    </div>
                                                </div> 
                                                <span class="active">Germany</span>
                                            </li>
                                            <li>
                                                <div class="sl-flag">
                                                    <div class="c-name">
                                                        <img src="<?php echo get_template_directory_uri();?>/images/flag/italy.png" alt="alt">
                                                    </div>
                                                </div> 
                                                <span class="active">Italy</span>
                                            </li>
                                            <li>
                                                <div class="sl-flag">
                                                    <div class="c-name">
                                                        <img src="<?php echo get_template_directory_uri();?>/images/flag/spain.png" alt="alt">
                                                    </div>
                                                </div> 
                                                <span class="active">Spain</span>
                                            </li>
                                            <li>
                                                <div class="sl-flag">
                                                    <div class="c-name">
                                                        <img src="<?php echo get_template_directory_uri();?>/images/flag/united-states.png" alt="alt">
                                                    </div>
                                                </div> 
                                                <span class="active">USA</span>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>             
                <div class="sticky-header main-bar-wraper navbar-expand-lg">
                    <div class="main-bar">
                        <div class="container clearfix">
                            <div class="logo-header">
                                <div class="logo-header-inner logo-header-one">
                                    <a href="<?php echo esc_url(home_url('/')); ?>">
                                        <?php if(isset($itodo_redux_demo['logo']['url']) && $itodo_redux_demo['logo']['url'] != ''){ ?>
                                        <img src="<?php echo esc_url($itodo_redux_demo['logo']['url']); ?>" alt="">
                                        <?php } else { ?>
                                        <img src="<?php echo get_template_directory_uri();?>/images/Logo.png" alt="">
                                        <?php } ?>
                                    </a>
                                </div>
                            </div>
                            <!-- NAV Toggle Button -->
                            <button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar icon-bar-first"></span>
                                <span class="icon-bar icon-bar-two"></span>
                                <span class="icon-bar icon-bar-three"></span>
                            </button> 
                            
                                <!-- EXTRA NAV -->
                                <div class="extra-nav">
                                    <div class="extra-cell">
                                        <ul class="list-unstyled social-bx d-flex flex-wrap align-content-center">
                                            <?php if(isset($itodo_redux_demo['link_social_1']) && ($itodo_redux_demo['link_social_1'] != '')){?>
                                            <li><a href="<?php echo esc_url($itodo_redux_demo['link_social_1']); ?>"><i class="<?php echo wp_kses_post($itodo_redux_demo['social_1']); ?>"></i></a></li>
                                            <?php } ?>
                                            <?php if(isset($itodo_redux_demo['link_social_2']) && ($itodo_redux_demo['link_social_2'] != '')){?>
                                            <li><a href="<?php echo esc_url($itodo_redux_demo['link_social_2']); ?>"><i class="<?php echo wp_kses_post($itodo_redux_demo['social_2']); ?>"></i></a></li>
                                            <?php } ?>
                                            <?php if(isset($itodo_redux_demo['link_social_3']) && ($itodo_redux_demo['link_social_3'] != '')){?>
                                            <li><a href="<?php echo esc_url($itodo_redux_demo['link_social_3']); ?>"><i class="<?php echo wp_kses_post($itodo_redux_demo['social_3']); ?>"></i></a></li>
                                            <?php } ?>
                                            <?php if(isset($itodo_redux_demo['link_social_4']) && ($itodo_redux_demo['link_social_4'] != '')){?>
                                            <li><a href="<?php echo esc_url($itodo_redux_demo['link_social_4']); ?>"><i class="<?php echo wp_kses_post($itodo_redux_demo['social_4']); ?>"></i></a></li>
                                            <?php } ?>
                                        </ul>
                                    </div>
                                </div>
                                <!-- EXTRA Nav -->                      
                                <!-- MAIN NAVIGATION -->
                                <div class="header-nav navbar-collapse collapse d-flex justify-content-center collapse ">
                                    <?php 
                                        wp_nav_menu( 
                                        array( 
                                            'theme_location' => 'primary',
                                            'container' => '',
                                            'menu_class' => '', 
                                            'menu_id' => '',
                                            'menu'            => '',
                                            'container_class' => '',
                                            'container_id'    => '',
                                            'echo'            => true,
                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                            'walker'            => new itodo_wp_bootstrap_navwalker(),
                                            'before'          => '',
                                            'after'           => '',
                                            'link_before'     => '',
                                            'link_after'      => '',
                                            'items_wrap'      => '<ul  class=" nav navbar-nav %2$s">%3$s</ul>',
                                            'depth'           => 0,        
                                        )
                                    ); ?>
                                </div>    
                        </div>
                    </div>
                </div>
            </header>