<?php
   $itodo_redux_demo = get_option('redux_demo');
   get_header(); 
?>
<?php 
    while (have_posts()): the_post();
?>
<!-- CONTENT START -->
<div class="page-content">
    <!-- INNER PAGE BANNER -->
    <div class="full-landing-image sx-bnr-inr overlay-wraper  bg-top-center" style="background-image:url(<?php echo esc_url($itodo_redux_demo['background_blog_details']['url']); ?>);">
      <div class="overlay-main bg-white opacity-0"></div>
        
        <div class="container">
            <div class="sx-bnr-inr-entry">
              <div class="banner-title-outer">
                  <div class="banner-title-name">
                        <span class="sx-bnr-sm-title"><?php if(isset($itodo_redux_demo['blog_details_subtitle'])){?>
                            <?php echo htmlspecialchars_decode(esc_attr($itodo_redux_demo['blog_details_subtitle']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'We are Dedicated', 'itodo' );
                            }
                            ?></span>
                    <h2 class="sx-title"><?php if(isset($itodo_redux_demo['blog_details_title'])){?>
                            <?php echo htmlspecialchars_decode(esc_attr($itodo_redux_demo['blog_details_title']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Blog Detail', 'itodo' );
                            }
                            ?></h2>
                    </div>
                    <!-- BREADCRUMB ROW -->                            
                    <div>
                        <ul class="sx-breadcrumb breadcrumb-style-2">
                            <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php if(isset($itodo_redux_demo['blog_home_text'])){?>
                            <?php echo htmlspecialchars_decode(esc_attr($itodo_redux_demo['blog_home_text']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Home', 'itodo' );
                            }
                            ?></a></li>
                            <li><?php if(isset($itodo_redux_demo['blog_details_title'])){?>
                            <?php echo htmlspecialchars_decode(esc_attr($itodo_redux_demo['blog_details_title']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Blog Detail', 'itodo' );
                            }
                            ?></li>
                        </ul>
                    </div>
                    <!-- BREADCRUMB ROW END --> 
                    
                </div>
                                      
            </div>
        </div> 
        <div class="sx-bnr-outline-text">
            <h1><?php if(isset($itodo_redux_demo['blog_details_masking'])){?>
            <?php echo htmlspecialchars_decode(esc_attr($itodo_redux_demo['blog_details_masking']));?>
            <?php }else{?>
            <?php echo esc_html__( 'IT Solution', 'itodo' );
            }
            ?></h1>
        </div> 

    </div>
    <!-- INNER PAGE BANNER END -->

<!-- SECTION CONTENT START -->
    <div class="section-full p-t100 p-b70 mobile-page-padding">
        <div class="container">
            <div class="row">
                <div class="col-xl-8 col-lg-8 col-md-12">
                    <div class="blog-single-space">
                        <?php if ( has_post_thumbnail() ) { ?>
                        <!-- BLOG START --> 
                        <div class="sx-post-media sx-img-effect img-reflection m-b30">
                            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Image">
                        </div>
                        <?php } ?>
                        <div class="single-blog-post blog-detail m-b30">
                            
                            <div class="sx-post-meta ">
                                <ul>
                                    <li class="post-date"><i class="fa fa-calendar"></i><?php the_time(get_option('date_format')); ?></li>
                                    <li class="post-author"><i class="fa fa-comments"></i><?php comments_number( esc_html__('0 Comments' , 'itodo') , esc_html__('1 Comment' , 'itodo' ), esc_html__('% Comments' , 'itodo')); ?></li>
                                </ul>
                            </div> 
                                                          
                            <div class="sx-post-title ">
                                <h2 class="post-title"><?php the_title(); ?></h2>
                            </div>

                            <div class="sx-post-text">
                                <?php the_content(); ?>
                            </div>
                            
                            <div class="autor-post-tag-share">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="widget_tag_cloud single-post-tag">
                                            <h6 class="tagcloud"><?php if(isset($itodo_redux_demo['blog_tag'])){?>
                                                <?php echo htmlspecialchars_decode(esc_attr($itodo_redux_demo['blog_tag']));?>
                                                <?php }else{?>
                                                <?php echo esc_html__( 'Tags:', 'itodo' );
                                                }
                                                ?></h6>
                                            <div class="tagcloud">
                                                <?php echo get_the_tag_list(); ?>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="widget_social_inks sx-social-icons ">
                                            <ul class="d-flex">
                                                <span class='st_facebook_hcount'></span>
                                                <span class='st_twitter_hcount'></span>
                                                <span class='st_instagram_hcount'></span>  
                                                <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
                                                <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
                                            </ul>
                                        </div>
                                    </div>
                                    
                                </div> 
                            </div> 
                                                                             
                        </div>
                        
                    </div>

                    <div class="clear comment-section-outer" id="comment-list">
                        <div class="comments-area" id="comments">
                            <div class="comments-outer p-b30">
                              <?php comments_template();?>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- SIDE BAR START -->
                <div class="col-xl-4 col-lg-4 col-md-12 sticky_column">
                    <div  class="side-bar sx-bg-white">
                        <?php get_sidebar();?>
                    </div>
                </div>
                <!-- SIDE BAR END -->                         
            </div>  
        </div>
    </div>
    <!-- SECTION CONTENT END -->
</div> 
<!-- CONTENT END -->

<?php endwhile; ?>
<?php
    get_footer();
?>